-- debug flag for box2d drawing and objects printout
local debug = true


function addTileBodies(scene,tilemap,layer)

-- Create the objects from the tilemap objects layer
for i = 1, #layer.objects do

	if debug then  -- Print out objects in layer
	print("-------------------------------------------------------------------------------------------------------------")
	print("Name: ", layer.objects[i].name, "Type: ", layer.objects[i].type, 
			"X: ", layer.objects[i].x, "Y: ", layer.objects[i].y, 
			"Width: ", layer.objects[i].width, "Height: ", layer.objects[i].height,
			"Score: ", tilemap:getProperty(layer.objects[i], "score"))
	print("-------------------------------------------------------------------------------------------------------------")

	end


-- if this is not a polygon
if layer.objects[i].polygon == nil then

	-- Create each world object from layer - x, y, width, height, name, type, score
	scene.mainScene:object(layer.objects[i].x + layer.objects[i].width/ 2, layer.objects[i].y + layer.objects[i].height/2, 
						layer.objects[i].width, layer.objects[i].height, layer.objects[i].name, layer.objects[i].type,
							tilemap:getProperty(layer.objects[i], "score"))


else


-- This shape is a polygon

local coords = {}

        local myShape = Shape.new()
		myShape:setFillStyle(Shape.SOLID, 0xff0000, 0.5)
		myShape:beginPath(Shape.NON_ZERO)
		myShape:moveTo(0,0)
		
		local coords = {}
		

		
		
		for j=1, #layer.objects[i].polygon do
			myShape:lineTo(layer.objects[i].polygon[j].x,layer.objects[i].polygon[j].y)
	
table.insert(coords,layer.objects[i].polygon[j].x)
table.insert(coords,layer.objects[i].polygon[j].y)			
			

			
		end
		
		myShape:closePath()
		myShape:endPath()
		myShape:setPosition(layer.objects[i].x,layer.objects[i].y)
		
		myShape:setColorTransform(1,1,1,1)
		
	--create box2d physical object
	local body = scene.mainScene.world:createBody{type = b2.STATIC_BODY}
	
	body:setPosition(layer.objects[i].x, layer.objects[i].y)
	--body:setAngle(object:getRotation() * math.pi/180)
	
local poly = b2.PolygonShape.new()

poly:set(unpack(coords))

	local fixture = body:createFixture{shape = poly, density = 1.0, 
	friction = 0.1, restitution = 0.8}
	
	myShape.body = body
	myShape.body.name = name
	myShape.body.type = type
	myShape.body.score = score
 
scene:addChild(myShape)
		
end

end




end